<?php
/**
 * @file
 * Contains \Drupal\test_api\Controller\TestAPIController.
 */

namespace Drupal\dpservices\Index;

module_load_include('inc', 'dpservices' , 'dpservices.config.inc');

/**
 * Controller routines for deploy routes.
 */
class DpservicesGenerateNodeIndex {

  /**
   * Create node
   */
  public static function GenerateNodeIndex($value1 , $key1 , $arr_node) {
    foreach($value1 as $key2=>$value2) {
	  foreach($value2 as $key3=> $value3) {
	    if(count($value2) > 1) {			  
		  $arr_node[$key1][$key3] = $value3;
	    }
		else {
		  $arr_node[$key1] = $value3;
		}
	  }
	}
	return $arr_node;
  }
  public static function GenerateNodeReferenceIndex($value1 , $key1 , $arr_node) {
    foreach($value1 as $key2=>$value2) {
	  foreach($value2 as $key3=> $value3) {
	    $arr_node[$key1][$key2][$key3] = $value3;
	  }
	}
	return $arr_node;
  }
  public static function GenerateNodeFieldCollectionIndex($node_obj , $key , $id , $node) {
	$node[$id][$key] = array();	
    foreach ($node_obj->$key as $key1 => $item) {
      $item = $item->value;	  
      $fc = \Drupal\field_collection\Entity\FieldCollectionItem::load($item);
      foreach ($fc as $fckey => $field) {		  
		$field_config = \Drupal\field\Entity\FieldStorageConfig::loadByName('field_collection_item', $fckey);
		$field_type = '';
		if(isset($field_config)) {
		  $field_type = $field_config->get('type');
		}				
		if(in_array($field_type , DP_FIELD_FILE_TYPE)) {
		  //$fcArray[$key1][$fckey] = $fc->get($fckey)->getValue();
		  $node[$id][$key][$key1][$fckey] = $fc->get($fckey)->getValue();
		  foreach($node[$id][$key][$key1][$fckey] as $key_index=> $key_value) {
			  $fid = $key_value['target_id'];
              $file = \Drupal\file\Entity\File::load($fid);
              $path = $file->getFileUri();
              $image_path = file_url_transform_relative(file_create_url($path));
			  $node[$id][$key][$key1][$fckey][$key_index]['path'] = $path;
              $node[$id][$key][$key1][$fckey][$key_index]['image_path'] = $image_path; 
		  }
		}
		else {
		  //$fcArray[$key1][$fckey] = $field->value;
		  $node[$id][$key][$key1][$fckey] = $field->value;
		} 
//print_r($fckey);		
      }	   
	  //$node[$id][$key] = $fcArray;	 
    }
	return $node;
  }
}
