<?php
/**
 * @file
 * Contains \Drupal\test_api\Controller\TestAPIController.
 */

namespace Drupal\dpservices\Logs;


/**
 * Controller routines for deploy routes.
 */
class DpservicesLogError {

  /**
   * Log error if field is not exists in the node
   */
  public static function LogsNodeFieldExists($key1 , $type) {
    $message = '<pre>' . 'The field ' . print_r($key1 , true) . ' are not exists in ' . print_r($type , true) . ' content type.</pre>';
    \Drupal::logger('Dpservices')->notice($message);
  }
  public static function LogsBlockFieldExists($key1 , $type) {
    $message = '<pre>' . 'The field ' . print_r($key1 , true) . ' are not exists in ' . print_r($type , true) . ' block.</pre>';
    \Drupal::logger('Dpservices')->notice($message);
  }
  public static function LogsCommon($message) {    
    \Drupal::logger('Dpservices')->notice($message);
  }
}
