<?php
/**
 * @file
 * Contains \Drupal\test_api\Controller\TestAPIController.
 */

namespace Drupal\dpservices\Entity;


/**
 * Controller routines for deploy routes.
 */
class DpservicesCheckNodeExists {

  /**
   * Check node exists or not
   */
  public static function CheckNodeExists($nid) {
    $query = \Drupal::entityQuery('node');
    $query->condition('nid', $nid);   
    $ids = $query->execute();
    return $ids;	
  }
  public static function CheckNodeFieldExists($key1 , $node_type) {
	$field_config = \Drupal\field\Entity\FieldConfig::loadByName('node', $node_type , $key1);
	$db_flag = 0;
	if(isset($field_config)) {
	  $db_flag = 1;
	}    
    return $db_flag;	
  }
  public static function CheckNodeFCFieldExists($key1 , $fcollectionkey) {
	$field_config = \Drupal\field\Entity\FieldConfig::loadByName('field_collection_item', $fcollectionkey , $key1);
    $db_flag = 0;
	if(isset($field_config)) {
	  $db_flag = 1;
	}    
    return $db_flag;	
  }
}
