<?php
/**
 * @file
 * Contains \Drupal\test_api\Controller\TestAPIController.
 */

namespace Drupal\dpservices\File;




module_load_include('inc', 'dpservices' , 'dpservices.config.inc');

/**
 * Controller routines for deploy routes.
 */
class DpservicesCopyFile {

  /**
   * Copy file from one server to another server.
   */
  public static function deploy_file($value1 , $key1 , $arr_node) {
	$config = \Drupal::config('dpservices.settings');	
    $dp_request_url = $config->get('dp_request_url');
    foreach($value1 as $filekey=> $filevalue) {
      foreach($filevalue as $fikey=> $fivalue) {
		if($fikey == 'target_id') {
		  $path = $value1[$filekey]['path'];
		  $image_path = $value1[$filekey]['image_path'];
		  $dir_name = pathinfo($path);
          $dir_name = $dir_name['dirname'];
		  $res = strpos($dir_name , '//');
          if($res === false) {
            $dir_name = $dir_name . '//';
          }
          if(file_prepare_directory($dir_name, FILE_CREATE_DIRECTORY)) {		  
		    $file = file_get_contents($dp_request_url . $image_path);
            $file = file_save_data($file, $path , FILE_EXISTS_RENAME);
		    $arr_node[$key1][$filekey]['target_id'] = $file->id();
		  }		  
		}
        else {
		  $arr_node[$key1][$filekey][$fikey] = $fivalue;
		}
	  }			  
	}
	return $arr_node;
  }
  public static function deploy_file_single($value2 , $key1 , $key2 , $arr_index , $node_obj) {
    $config = \Drupal::config('dpservices.settings');	
    $dp_request_url = $config->get('dp_request_url');	  
    foreach($value2 as $fikey=> $fivalue) {
      if($fikey == 'target_id') {
        $path = $value2['path'];
        $image_path = $value2['image_path'];
        $dir_name = pathinfo($path);
        $dir_name = $dir_name['dirname'];
		$res = strpos($dir_name , '//');
        if($res === false) {
          $dir_name = $dir_name . '//';
        }
        if(file_prepare_directory($dir_name, FILE_CREATE_DIRECTORY)) {		
		  $file = file_get_contents($dp_request_url . $image_path);
          $file = file_save_data($file, $path , FILE_EXISTS_RENAME);
		  $arr_index[$key1][$key2]['target_id'] = $file->id();
		}		
	  }
	  else {
	    $arr_index[$key1][$key2][$fikey] = $fivalue;
	  }
	}
	$node_obj_arr['node'] = $node_obj;
	$node_obj_arr['array'] = $arr_index;	
	return $node_obj_arr;
  }
  public static function deploy_file_fieldcollection($value1 , $key1 , $node_obj , $fc) {
	//$node_obj->set($key1 , array());  
	//$fc->set($key1, array());
	$config = \Drupal::config('dpservices.settings');	
    $dp_request_url = $config->get('dp_request_url');	
    $arr_node = array();	
    foreach($value1 as $filekey=> $filevalue) {		
      foreach($filevalue as $fikey=> $fivalue) {		 
		if($fikey == 'target_id') {
		  $path = $value1[$filekey]['path'];
		  $image_path = $value1[$filekey]['image_path'];
		  $dir_name = pathinfo($path);
          $dir_name = $dir_name['dirname'];
		  $res = strpos($dir_name , '//');
          if($res === false) {
            $dir_name = $dir_name . '//';
          }
          if(file_prepare_directory($dir_name, FILE_CREATE_DIRECTORY)) { 				  
		    $file = file_get_contents($dp_request_url . $image_path);
            $file = file_save_data($file, $path , FILE_EXISTS_RENAME);
		    $arr_node[$key1][$filekey]['target_id'] = $file->id();
		  }	  
		}
        else {
		  $arr_node[$key1][$filekey][$fikey] = $fivalue;
		}
	  }			  
	}	
	if(isset($arr_node[$key1])) {
      $fc->set($key1, $arr_node[$key1]);
	} 
	return $fc;
  }  
}
